Subject: Re: [Bash-completion-devel] [PATCH v2] completion: add new git_complete helper

From: Ville Skyttä <[email-masked]>
Date: Sat, 21 Apr 2012 20:39:30 +0300

On 2012-04-21 18:41, Felipe Contreras wrote:

> Still, I don't see the point in avoiding 'git_complete' and making our
> lifes more difficult.

I'm not aware of ways it'd make people's lifes more difficult, but if
git_complete is a function intended for completion purposes, I'd
personally not name it git* because it'd interfere for example with
completing git<TAB> by being included in the suggested completions even
though it's never meant to be used that way.  Prefixing for example with
underscore doesn't avoid the problem completely, but makes it less
likely to happen.